Subject: RE: Cygwin: rpc: unable to register
From: "Robb, Sam" <[email-masked]>
To: <[email-masked]>
Cc: "Siegmar Gross" <[email-masked]>
Date: Tue, 19 Oct 2004 10:21:04 -0400

Siegmar,

  There have been problems reported with sunrpc related to
a disabled network connection.  Does you machine have a
network connection (wireless, or a secondary ethernet
card, etc.) that isn't active?

  [Redirecting to the cygwin mailing list so any good info
that comes out of this conversation can help the next poor
unfortunate soul with this problem...]

-Samrobb

> -----Original Message-----
> From: Siegmar Gross [mailto:[email-masked]]
> Sent: Monday, October 18, 2004 3:47 AM
> To: Robb, Sam
> Cc: [email-masked]
> Subject: Cygwin: rpc: unable to register
> 
> 
> Hi,
> 
> I found out that you ported sun-rpc to Cygwin. Perhaps you can help me
> because I didn't get any responses from the Cygwin mailing list
> ([email-masked]). I've tried to solve the problem myself but wasn't
> successful. I'm using Windows XP with all updates except SP2. I have
> upgraded to the latest Cygwin release. "cygserv", "sshd", and 
> "portmap"
> are running as Windows services. I've started "portmap" the last time
> with the commands
> cygrunsrv -I "portmap" -d "Cygwin portmap" -p 
> /usr/sbin/portmap -a "-F"
> cygrunsrv -S "portmap"
> "portmap" seems to work properly for "rpcinfo".
> 
> eiger Admin 10 rpcinfo -p localhost
>    program vers proto   port
>     100000    2   tcp    111
>     100000    2   udp    111
> 
> When I start my example program "rpctst_server", I get the following
> output:
> 
> Cannot register service: RPC: Unable to send; errno = Cannot assign
>   requested address
> unable to register (RPCtest, RPCtestVers2, udp).
> 
> If I start my server on a Solaris machine and the client on 
> Cygwin, the
> client behaves as expected. Searching in the web showed that 
> some other
> persons had had the same problem, but I found only a 
> description of the
> problem and no solution. Next I stopped the Windows service "portmap"
> and started it manually with "portmap -d -F". When I started 
> the server
> once more I got the same result. "portmap" didn't display anything and
> "/var/log/portmap.log" is empty. At last I tried the same things
> without the firewall ZoneAlarm running. The behaviour was the same.
> 
> Do you have an idea what I have to do to get my program running? Have
> I missed something essential? Do you need more information to answer
> my questions?
> 
> I append my programs and a strace output starting the server.
> 
> I would be grateful for any comments solving the problem. Thank you
> very much for your help in advance.
> 
> Siegmar
> 
> 
> ##############################################################
> ################
> #                                                             
>                #
> # Fachhochschule Fulda         University of Applied Sciences 
>                #
> # FB Angewandte Informatik     Department of Applied Computer 
> Sciences       #
> #                                                             
>                #
> # Prof. Dr. Siegmar Gross      Tel.: +49 (0)661 9640 - 333    
>                #
> #                              Fax:  +49 (0)661 9640 - 349    
>                #
> # Marquardstr. 35              WWW:  
http://www.fh-fulda.de/~gross           #
#                              E-Mail: [email-masked]  #
# D-36039 Fulda                        [email-masked]                        #
#                                                                            #
##############################################################################

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/